# ipadm_if – Manage IP interfaces on Solaris/illumos systems

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Create, delete, enable or disable IP interfaces on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | IP interface name.

state
-

Choices:
- present ←
- absent
- enabled
- disabled

Create or delete Solaris/illumos IP interfaces.

temporary
boolean

Choices:
- no ←
- yes

Specifies that the IP interface is temporary. Temporary IP interfaces do not persist across reboots.

## Examples

    # Create vnic0 interface
    - ipadm_if:
        name: vnic0
        state: enabled

    # Disable vnic0 interface
    - ipadm_if:
        name: vnic0
        state: disabled

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
name string | always | IP interface name Sample: vnic0
state string | always | state of the target Sample: present
temporary boolean | always | persistence of a IP interface Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.